Page MenuHomePhabricator

[OpenMP][OMPT] Pass mutexinoutset to the tool
ClosedPublic

Authored by protze.joachim on Jun 15 2020, 3:43 PM.

Details

Summary

This patch adds OMPT support for the mutexinoutset dependency

Diff Detail

Event Timeline

protze.joachim created this revision.Jun 15 2020, 3:43 PM
hbae added inline comments.Jun 16 2020, 2:03 PM
openmp/runtime/src/kmp_taskdeps.cpp
543

Can we remove ndeps and deps from ompt_task_info_t if they are not used any more?

Removed ndeps and deps from ompt_task_infoas suggested by hbae.

hbae accepted this revision.Jun 17 2020, 6:56 AM

LGTM.

This revision is now accepted and ready to land.Jun 17 2020, 6:56 AM
This revision was automatically updated to reflect the committed changes.